# $Revision: 1.8 $, $Date: 2004/08/18 19:44:04 $
Summary:	Extension to Tcl/Tk for object-oriented programming
Summary(pl):	Rozszerzenie Tcl/Tk do programowania zorientowanego obiektowo
Name:		otcl
Version:	1.8
Release:	4
License:	MIT
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/otcl-tclcl/%{name}-%{version}.tar.gz
# Source0-md5:	88a4b94b3a128867d3fe13b77f3b5496
Patch0:		tcl-lib.patch
URL:		http://otcl-tclcl.sourceforge.net/otcl/
BuildRequires:	autoconf
BuildRequires:	tcl-devel >= 8.4
BuildRequires:	tk-devel >= 8.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OTcl, short for MIT Object Tcl, is an extension to Tcl/Tk for
object-oriented programming.

Some of OTcl's features as compared to alternatives are:

 * designed to be dynamically extensible, like Tcl, from the ground up
 * builds on Tcl syntax and concepts rather than importing another
   language
 * compact yet powerful object programming system (draws on CLOS,
   Smalltalk, and Self)
 * fairly portable implementation (2000 lines of C, without core
   hacks)

%description -l pl
OTcl, skrt od Obiektowego Tcl MIT, jest rozszerzeniem Tcl/Tk do
programowania zorientowanego obiektowo.

Pewne z cech OTcl-a w porwnaniu do alternatywnych:

 * zaprojektowany by by dynamicznie rozszerzalnym, jak Tcl, od zera
 * oparty na skadni i koncepcie Tcl zamiast importowania innego
   jzyka
 * kompaktowy acz potny system programowania obiektowego (CLOS,
   Smalltalk oraz Self)
 * raczej przenona implementacja (2000 linii C bez niskopoziomowych
   wstawek)

%package devel
Summary:	OTcl header file
Summary(pl):	Plik nagwkowy OTcl
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
OTcl header file.

%description devel -l pl
Plik nagwkowy OTcl.

%package static
Summary:	OTcl static library
Summary(pl):	Biblioteka statyczna OTcl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
OTcl static library.

%description static -l pl
Biblioteka statyczna OTcl.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
./configure \
	--with-tcl-ver=8.4 \
	--with-tk-ver=8.4
%{__make} CFLAGS="%{rpmcflags}"
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}

install o*sh $RPM_BUILD_ROOT%{_bindir}
install *.h $RPM_BUILD_ROOT%{_includedir}
install libotcl.* $RPM_BUILD_ROOT%{_libdir}

rm -f doc/CHANGES.html

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc {CHANGES,README}.html doc/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: otcl.spec,v $
Revision 1.8  2004/08/18 19:44:04  havner
- tcl patch renamed
- rel 4

Revision 1.7  2004/08/18 18:53:18  havner
- fix amd64 build

Revision 1.6  2004/08/18 16:57:12  havner
- rel 3

Revision 1.5  2004/08/18 16:30:17  havner
- config.sub

Revision 1.4  2004/08/18 00:21:04  havner
- rel 2

Revision 1.3  2004/01/22 23:28:10  gotar
- upgraded to 1.8

Revision 1.2  2003/10/30 23:19:32  qboosh
- pl fixes

Revision 1.1  2003/10/30 21:55:35  gotar
- initial PLD release
